# DataExchange
TKXSBase
Interface

# Interface_Array1OfFileParameter Class Reference

`#include <Interface_Array1OfFileParameter.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | Interface_Array1OfFileParameter (const Standard_Integer Low, const Standard_Integer Up)
Standard_EXPORT | Interface_Array1OfFileParameter (const Interface_FileParameter &Item, const Standard_Integer Low, const Standard_Integer Up)
Standard_EXPORT void | Init (const Interface_FileParameter &V)
Standard_EXPORT void | Destroy ()
| ~Interface_Array1OfFileParameter ()
Standard_Boolean | IsAllocated () const
Standard_EXPORT const Interface_Array1OfFileParameter & | Assign (const Interface_Array1OfFileParameter &Other)
const Interface_Array1OfFileParameter & | operator= (const Interface_Array1OfFileParameter &Other)
Standard_Integer | Length () const
Standard_Integer | Lower () const
Standard_Integer | Upper () const
void | SetValue (const Standard_Integer Index, const Interface_FileParameter &Value)
const Interface_FileParameter & | Value (const Standard_Integer Index) const
const Interface_FileParameter & | operator() (const Standard_Integer Index) const
Interface_FileParameter & | ChangeValue (const Standard_Integer Index)
Interface_FileParameter & | operator() (const Standard_Integer Index)

## Private Member Functions

Standard_EXPORT | Interface_Array1OfFileParameter (const Interface_Array1OfFileParameter &AnArray)

## Private Attributes

Standard_Integer | myLowerBound
Standard_Integer | myUpperBound
Standard_Address | myStart
Standard_Boolean | isAllocated

## Constructor & Destructor Documentation

Standard_EXPORT Interface_Array1OfFileParameter::Interface_Array1OfFileParameter | ( | const Standard_Integer | Low,
|  | const Standard_Integer | Up
| ) |

Standard_EXPORT Interface_Array1OfFileParameter::Interface_Array1OfFileParameter | ( | const Interface_FileParameter & | Item,
|  | const Standard_Integer | Low,
|  | const Standard_Integer | Up
| ) |

Interface_Array1OfFileParameter::~Interface_Array1OfFileParameter | ( |  | ) | `[inline]`

Standard_EXPORT Interface_Array1OfFileParameter::Interface_Array1OfFileParameter | ( | const Interface_Array1OfFileParameter & | AnArray | ) | `[private]`

## Member Function Documentation

Standard_EXPORT const Interface_Array1OfFileParameter& Interface_Array1OfFileParameter::Assign | ( | const Interface_Array1OfFileParameter & | Other | ) |

Interface_FileParameter& Interface_Array1OfFileParameter::ChangeValue | ( | const Standard_Integer | Index | ) |

Standard_EXPORT void Interface_Array1OfFileParameter::Destroy | ( |  | ) |

Standard_EXPORT void Interface_Array1OfFileParameter::Init | ( | const Interface_FileParameter & | V | ) |

Standard_Boolean Interface_Array1OfFileParameter::IsAllocated | ( |  | ) | const

Standard_Integer Interface_Array1OfFileParameter::Length | ( |  | ) | const

Standard_Integer Interface_Array1OfFileParameter::Lower | ( |  | ) | const

void Interface_Array1OfFileParameter::operator delete | ( | void * | anAddress | ) | `[inline]`

void* Interface_Array1OfFileParameter::operator new | ( | size_t | size | ) | `[inline]`

void* Interface_Array1OfFileParameter::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

Interface_FileParameter& Interface_Array1OfFileParameter::operator() | ( | const Standard_Integer | Index | ) | `[inline]`

const Interface_FileParameter& Interface_Array1OfFileParameter::operator() | ( | const Standard_Integer | Index | ) | const`[inline]`

const Interface_Array1OfFileParameter& Interface_Array1OfFileParameter::operator= | ( | const Interface_Array1OfFileParameter & | Other | ) | `[inline]`

void Interface_Array1OfFileParameter::SetValue | ( | const Standard_Integer | Index,
|  | const Interface_FileParameter & | Value
| ) |

Standard_Integer Interface_Array1OfFileParameter::Upper | ( |  | ) | const

const Interface_FileParameter& Interface_Array1OfFileParameter::Value | ( | const Standard_Integer | Index | ) | const

## Field Documentation

Standard_Boolean Interface_Array1OfFileParameter::isAllocated `[private]`

Standard_Integer Interface_Array1OfFileParameter::myLowerBound `[private]`

Standard_Address Interface_Array1OfFileParameter::myStart `[private]`

Standard_Integer Interface_Array1OfFileParameter::myUpperBound `[private]`

The documentation for this class was generated from the following file:

- Interface_Array1OfFileParameter.hxx